<?php
/**
* Joomla Community Builder User Plugin: plug_emailAfterLogin
* @version $Id$
* @package plug_emailAfterLogin
* @author Alex Chartier
* @copyright (C) Alex Chartier
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @final 1.0
*/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
$_PLUGINS->registerFunction( 'onAfterLogin', 'EmailLogin', 'emailLoginTab' );

class emailLoginTab extends cbTabHandler {
    
    function emailLoginTab() {
        $this->cbTabHandler();
    }

    function EmailLogin($row, $tf) {
        $params = $this->params;
        $EmailToList = $params->get('EmailToList', '' );
	$ExcludeList = $params->get('ExcludeList', '' );
        if ( $EmailToList == '') 
            return false; // No e-mail list

	$EmailToList = str_replace( ";", ",", $EmailToList ); // Replace the colon with comma
	if ( $ExcludeList != '' ) {                    
		$ExcludeList = str_replace( ";", ",", $ExcludeList ); // Replace the colon with comma
        	if ( strpos( $ExcludeList, $row->username ) !== false)
            		return false;
	}
        
/*        // Build the e-mail and send it */
                
        $FromEmail = $params->get('EmailFrom', '' );

        $today = date("F j, Y, g:i a"); 
        
        $mail_msg = "User $row->username - $row->name logged in on $today.";
        
        mail($EmailToList, $mail_msg, "Automatically genereated e-mail", "From:$FromEmail" );
                    
        return true;
    }  
}      
?>
